> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ibee.co.in/docs/api-reference/load-balancers/update-l-4-load-balancer/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ibee.co.in/_mcp/server. # Update an L4 load balancer PATCH https://api.ibee.co.in/v1/networking/load-balancers/l4/{load_balancer_id} Content-Type: application/json Reference: https://docs.ibee.co.in/docs/api-reference/load-balancers/update-l-4-load-balancer ## Authentication - `Authorization` header (bearer token, required) — IBEE platform API token. Production tokens start with `ibee_prod_key_`; development tokens start with `ibee_dev_key_`. Use a token only with its matching gateway environment. ## Servers - `https://api.ibee.co.in/v1` (Production, default) - `https://api.ibee.co.in/v1` (Development) ## Request ### Path parameters - `load_balancer_id` (string, required) — Load balancer ID. ### Query parameters - `workspace_id` (string, required) — The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected. ### Body (application/json) This endpoint expects an UpdateL4LoadBalancerRequest. - `name` (string, optional) - `backends` (list of LoadBalancerBackend, optional) - `routing` (LoadBalancerRouting, optional) - `tls` (LoadBalancerTls, optional) ## Response ### 200 L4 load balancer updated successfully. - `lb_id` (string, required) - `organization_id` (string, required) - `workspace_id` (string, required) - `name` (string, required) - `layer` (enum, required) - Allowed values: `l4`, `l7` - `protocol` (enum, required) - Allowed values: `http`, `https`, `tcp`, `tls_passthrough` - `status` (enum, required) - Allowed values: `provisioning`, `active`, `failed`, `deleting`, `deleted` - `endpoint` (LoadBalancerEndpoint, required) - `url` (string, required) - `endpoint_url` (string, required) - `backends` (list of LoadBalancerBackend, required) - `created_at` (datetime, required) - `updated_at` (datetime, required) - `workspace_name` (string, optional) - `namespace` (string, optional) - `rules` (list of LoadBalancerRule, optional, nullable) ## Errors ### 400 Bad Request Error The request is invalid. - `detail` (ErrorDetail, optional) ### 401 Unauthorized Error The API token is missing or invalid. - `detail` (ErrorDetail, optional) ### 403 Forbidden Error The token is not allowed to access the workspace or does not have the required scope. - `detail` (ErrorDetail, optional) ### 404 Not Found Error The requested resource was not found. - `detail` (ErrorDetail, optional) ### 409 Conflict Error The request conflicts with the current resource state. - `detail` (ErrorDetail, optional) ## Types ### LoadBalancerBackend - `target` (string, required) - `port` (integer, required) - `type` (enum, optional, default: service) - Allowed values: `service`, `ip`, `hostname` - `weight` (integer, optional, default: 100) - `tls` (boolean, optional, default: false) ### LoadBalancerRouting - `algorithm` (enum, optional, default: round_robin) - Allowed values: `round_robin`, `least_request`, `random`, `consistent_hash` - `sticky_header` (string, optional, nullable) ### LoadBalancerTls - `mode` (enum, required) - Allowed values: `terminate`, `passthrough` - `certificate_source` (string, optional, default: managed) - `cert_pem` (string, optional, nullable) - `key_pem` (string, optional, nullable) ### LoadBalancerEndpoint - `host` (string, required) - `port` (integer, required) ### LoadBalancerRule - `priority` (integer, optional, default: 1) - `path_prefix` (string, optional, default: /) - `headers` (map from string to string, optional, nullable) - `backends` (list of LoadBalancerBackend, optional, nullable) ### ErrorDetail ## Examples **Request** ```json {} ``` **Response** ```json { "lb_id": "string", "organization_id": "string", "workspace_id": "string", "name": "string", "layer": "l4", "protocol": "http", "status": "provisioning", "endpoint": { "host": "string", "port": 1 }, "url": "string", "endpoint_url": "string", "backends": [ { "target": "string", "port": 1, "type": "service", "weight": 100, "tls": false } ], "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "workspace_name": "string", "namespace": "string", "rules": [ { "priority": 1, "path_prefix": "/", "headers": {}, "backends": [ { "target": "string", "port": 1, "type": "service", "weight": 100, "tls": false } ] } ] } ``` **SDK Code** ```python import requests url = "https://api.ibee.co.in/v1/networking/load-balancers/l4/load_balancer_id" querystring = {"workspace_id":"710995"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.ibee.co.in/v1/networking/load-balancers/l4/load_balancer_id?workspace_id=710995'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.ibee.co.in/v1/networking/load-balancers/l4/load_balancer_id?workspace_id=710995" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.ibee.co.in/v1/networking/load-balancers/l4/load_balancer_id?workspace_id=710995") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.ibee.co.in/v1/networking/load-balancers/l4/load_balancer_id?workspace_id=710995") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.ibee.co.in/v1/networking/load-balancers/l4/load_balancer_id?workspace_id=710995', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.ibee.co.in/v1/networking/load-balancers/l4/load_balancer_id?workspace_id=710995"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.ibee.co.in/v1/networking/load-balancers/l4/load_balancer_id?workspace_id=710995")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```